% Script used to generate matlab data so the following commands were used 
%For MG1655 analysis 

% THis part gathers the physcial atributes such as size and name for the MG1655 chromasone
[Chr1_names,Chr1_starts,Chr1_ends] = genome_parser (MGgtf, 'NC_000913.3', 4641652);

% Loading the MG1655 combiend sam file data and splitting and combining the data for every 50bp on the MG1655 genome 

%[Tn5_NT_100, All_Tn5_sum_100, Tn5_annotations_100, F_Tn5_sum_100, R_Tn5_sum_100] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'MG1655_Combined.sam', 100000, 100, 'NC_000913.3', 4641652);
[Tn5_NT, All_Tn5_sum, Tn5_annotations, F_Tn5_sum, R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'MG1655_Combined.sam', 100000, 50, 'NC_000913.3', 4641652);
% Assigning the TN5 data of MG1655 to a control vairable 
Control=All_Tn5_sum;

% Generating saturation curve based on the data that we are using 
[sensitivityanalysis] =  checkseqdepth(Control);


% Test performing a bottle neck for comparisons between the experimental system 
% Only perform this on the control 
% bottleneck to proportion of library that will be reatined (0.8) refers to 80% this should be calulated on a individual basis
% Total number of reads to normalise to which will be the total number of
% reads in the library 
%unique indices are generate in step 5 below each insertion site is
%assoicated with a soecifc genomeic fgeature 
[bottleneck]=Bottleneck_analysis(Control, 0.8, 1000000, uniquenames, uniqueindices, 0.01, 0.9);


%######################################################################################
% Performing EL-ARTIST.
%######################################################################################
% Firstly seeing if there are bias towards the origin in read and insertion
% count so normalising for this. 
scatter(Tn5_NT,Control);

% So based on this we will then normalise the reads againnst the ori

[normalized_reads] = window_average(Tn5_NT, Control, 100000, 4641652);

%identifying essential regions 
%Getting names for each insertions. 
[uniquenames,uniqueindices]=getuniquetanames(Tn5_annotations);

% so the pvalue and window size may need to be latered to suit our needs
% for now we will keep with default. 
% will perform 100 values 

[essentialregions,essentiallist,bootstats,essentialpvals] = Slidingwindow (Control, 1000, 7, uniquenames, uniqueindices, 0.001);


% To train hidden markov model we want to have a look at 


essentialregions=essentialregions+1;

%creating a box plot to visualise the data set to train HMM to essential
%genes. 


boxplot(Control)

% Discrete values used to change the Hiden markov models. So taking the
% following 
%in order `) 
%1) 0 -stays the same 
%2) 40 - median 
%3) 83 - 75th percentile 
%4) 187 - outer boundry 
[discta] = discretize5(Control,0,40,83,187); %for 50 bp window 
%[discta] = discretize5(Control,0,89,164,351); % for 100bp window 




%caluclating HMM transition and emission probabilites 

[transessential, emissessential] = hmmestimate (discta, essentialregions);

%using the HMM model to predict essential and non essential site 
[convergencematrixessentiality] = hmmconverge (discta, transessential, emissessential);

% the output of this 1 means non essential insertion site 0 means essential
% insertion site 

finalessential=convergencematrixessentiality(:,1); 

[essential_calls, callstats] = output_essential (finalessential, uniquenames, uniqueindices);



%########################################################################################################
%################### Con-artist #################################
%#########################################################################################################

% loading each data inturn into edgeR.
%Day1 pH4.5 S1
[Tn5_NT, All_Tn5_sum, Tn5_annotations, F_Tn5_sum, R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day1_pH4.5_S1.sam', 100000, 50, 'NC_000913.3', 4641652);
Day1_pH45_S1 = All_Tn5_sum;
%Day 1 pH 4.5 S2
[Tn5_NT, All_Tn5_sum, Tn5_annotations, F_Tn5_sum, R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day1_pH4.5_S2.sam', 100000, 50, 'NC_000913.3', 4641652);
Day1_pH45_S2 = All_Tn5_sum;
%Day1 pH4.5 S3
[Tn5_NT, All_Tn5_sum, Tn5_annotations, F_Tn5_sum, R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day1_pH4.5_S3.sam', 100000, 50, 'NC_000913.3', 4641652);
Day1_pH45_S3 = All_Tn5_sum;

%Day5 pH4.5 S1
[Tn5_NT, All_Tn5_sum, Tn5_annotations, F_Tn5_sum, R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day5_pH4.5_S1.sam', 100000, 50, 'NC_000913.3', 4641652);
Day5_pH45_S1 = All_Tn5_sum;
%Day5 pH 4.5 S2
[Tn5_NT, All_Tn5_sum, Tn5_annotations, F_Tn5_sum, R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day5_pH4.5_S2.sam', 100000, 50, 'NC_000913.3', 4641652);
Day5_pH45_S2 = All_Tn5_sum;
%Day5 pH4.5 S3
[Tn5_NT, All_Tn5_sum, Tn5_annotations, F_Tn5_sum, R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day5_pH4.5_S3.sam', 100000, 50, 'NC_000913.3', 4641652);
Day5_pH45_S3 = All_Tn5_sum;

%Day10 pH4.5 S1
[Tn5_NT, All_Tn5_sum, Tn5_annotations, F_Tn5_sum, R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day10_pH4.5_S1.sam', 100000, 50, 'NC_000913.3', 4641652);
Day10_pH45_S1 = All_Tn5_sum;
%Day10 pH 4.5 S2
[Tn5_NT, All_Tn5_sum, Tn5_annotations, F_Tn5_sum, R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day10_pH4.5_S2.sam', 100000, 50, 'NC_000913.3', 4641652);
Day10_pH45_S2 = All_Tn5_sum;
%Day10 pH4.5 S3
[Tn5_NT, All_Tn5_sum, Tn5_annotations, F_Tn5_sum, R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day10_pH4.5_S3.sam', 100000, 50, 'NC_000913.3', 4641652);
Day10_pH45_S3 = All_Tn5_sum;

%Day1 pH7 S1
[Tn5_NT, All_Tn5_sum, Tn5_annotations, F_Tn5_sum, R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day1_pH7_S1.sam', 100000, 50, 'NC_000913.3', 4641652);
Day1_pH7_S1 = All_Tn5_sum;
%Day 1 pH 4.5 S2
[Tn5_NT, All_Tn5_sum, Tn5_annotations, F_Tn5_sum, R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day1_pH7_S2.sam', 100000, 50, 'NC_000913.3', 4641652);
Day1_pH7_S2 = All_Tn5_sum;
%Day1 pH7 S3
[Tn5_NT, All_Tn5_sum, Tn5_annotations, F_Tn5_sum, R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day1_pH7_S3.sam', 100000, 50, 'NC_000913.3', 4641652);
Day1_pH7_S3 = All_Tn5_sum;

%Day5 pH7 S1
[Tn5_NT, All_Tn5_sum, Tn5_annotations, F_Tn5_sum, R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day5_pH7_S1.sam', 100000, 50, 'NC_000913.3', 4641652);
Day5_pH7_S1 = All_Tn5_sum;
%Day5 pH 4.5 S2
[Tn5_NT, All_Tn5_sum, Tn5_annotations, F_Tn5_sum, R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day5_pH7_S2.sam', 100000, 50, 'NC_000913.3', 4641652);
Day5_pH7_S2 = All_Tn5_sum;
%Day5 pH7 S3
[Tn5_NT, All_Tn5_sum, Tn5_annotations, F_Tn5_sum, R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day5_pH7_S3.sam', 100000, 50, 'NC_000913.3', 4641652);
Day5_pH7_S3 = All_Tn5_sum;

%Day10 pH7 S1
[Tn5_NT, All_Tn5_sum, Tn5_annotations, F_Tn5_sum, R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day10_pH7_S1.sam', 100000, 50, 'NC_000913.3', 4641652);
Day10_pH7_S1 = All_Tn5_sum;
%Day10 pH 4.5 S2
[Tn5_NT, All_Tn5_sum, Tn5_annotations, F_Tn5_sum, R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day10_pH7_S2.sam', 100000, 50, 'NC_000913.3', 4641652);
Day10_pH7_S2 = All_Tn5_sum;
%Day10 pH7 S3
[Tn5_NT, All_Tn5_sum, Tn5_annotations, F_Tn5_sum, R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day10_pH7_S3.sam', 100000, 50, 'NC_000913.3', 4641652);
Day10_pH7_S3 = All_Tn5_sum;

%Calculating the bottle neck for one sames 
[Controlsims] = simulateequalsaturation (length(Day1_pH45_S1(Day1_pH45_S1~=0))/length(Control(Control~=0)), sum(Day1_pH45_S1), Control, 100);

boxplot(Day1_pH45_S1)

% median - 20
% 75th percentile - 43
% outliers - 98
%Performing hidden markov models 
[hmmmatrix,stateconfidence,trainingmatrix] = hmmtrainmwu (Day1_pH45_S1, Controlsims, finalessential, uniquenames, uniqueindices, 0.0005, 20, 43, 98, 2, 4, -2, -4);

%Assigning variables 
[D1_pH45_S1_outputcond,D1_pH45_S1_callstats_cond] = callconditional (stateconfidence, uniquenames, uniqueindices, 0.5, 0.9, 0.5, 0.9, 0.1);


%####################################################################################################################
%###################### Running the scripts for each part of the data 
%####################################################################################################################

% Day1_pH45_S1 
%boxplot(Day1_pH45_S1) 
[Controlsims] = simulateequalsaturation (length(Day1_pH45_S1(Day1_pH45_S1~=0))/length(Control(Control~=0)), sum(Day1_pH45_S1), Control, 100);
[hmmmatrix,stateconfidence,trainingmatrix] = hmmtrainmwu (Day1_pH45_S1, Controlsims, finalessential, uniquenames, uniqueindices, 0.0005, 20, 43, 98, 2, 4, -2, -4);
[Day1_pH45_S1_outputcond,Day1_pH45_S1_callstats_cond] = callconditional (stateconfidence, uniquenames, uniqueindices, 0.5, 0.9, 0.5, 0.9, 0.1);

% Day1_pH45_S2
%boxplot(Day1_pH45_S2)
[Controlsims] = simulateequalsaturation (length(Day1_pH45_S2(Day1_pH45_S2~=0))/length(Control(Control~=0)), sum(Day1_pH45_S2), Control, 100);
[hmmmatrix,stateconfidence,trainingmatrix] = hmmtrainmwu (Day1_pH45_S2, Controlsims, finalessential, uniquenames, uniqueindices, 0.0005, 24, 51, 117, 2, 4, -2, -4);
[Day1_pH45_S2_outputcond,Day1_pH45_S2_callstats_cond] = callconditional (stateconfidence, uniquenames, uniqueindices, 0.5, 0.9, 0.5, 0.9, 0.1);

% Day1_pH45_S3
%boxplot(Day1_pH45_S3)
[Controlsims] = simulateequalsaturation (1, sum(Day1_pH45_S3), Control, 100);
[hmmmatrix,stateconfidence,trainingmatrix] = hmmtrainmwu (Day1_pH45_S3, Controlsims, finalessential, uniquenames, uniqueindices, 0.0005, 24, 49, 110, 2, 4, -2, -4);
[Day1_pH45_S3_outputcond,Day1_pH45_S3_callstats_cond] = callconditional (stateconfidence, uniquenames, uniqueindices, 0.5, 0.9, 0.5, 0.9, 0.1);

% Day5_pH45_S1
%boxplot(Day5_pH45_S1)
[Controlsims] = simulateequalsaturation (length(Day5_pH45_S1(Day5_pH45_S1~=0))/length(Control(Control~=0)), sum(Day5_pH45_S1), Control, 100);
[hmmmatrix,stateconfidence,trainingmatrix] = hmmtrainmwu (Day5_pH45_S1, Controlsims, finalessential, uniquenames, uniqueindices, 0.0005, 10, 21, 48, 2, 4, -2, -4);
[Day5_pH45_S1_outputcond,Day5_pH45_S1_callstats_cond] = callconditional (stateconfidence, uniquenames, uniqueindices, 0.5, 0.9, 0.5, 0.9, 0.1);

% Day5_pH45_S2
%boxplot(Day5_pH45_S2)
[Controlsims] = simulateequalsaturation (length(Day5_pH45_S2(Day5_pH45_S2~=0))/length(Control(Control~=0)), sum(Day5_pH45_S2), Control, 100);
[hmmmatrix,stateconfidence,trainingmatrix] = hmmtrainmwu (Day5_pH45_S2, Controlsims, finalessential, uniquenames, uniqueindices, 0.0005, 8, 18, 45, 2, 4, -2, -4);
[Day5_pH45_S2_outputcond,Day5_pH45_S2_callstats_cond] = callconditional (stateconfidence, uniquenames, uniqueindices, 0.5, 0.9, 0.5, 0.9, 0.1);

% Day5_pH45_S3
%boxplot(Day5_pH45_S3)
[Controlsims] = simulateequalsaturation (length(Day5_pH45_S3(Day5_pH45_S3~=0))/length(Control(Control~=0)), sum(Day5_pH45_S3), Control, 100);
[hmmmatrix,stateconfidence,trainingmatrix] = hmmtrainmwu (Day5_pH45_S3, Controlsims, finalessential, uniquenames, uniqueindices, 0.0005, 13, 29, 66, 2, 4, -2, -4);
[Day5_pH45_S3_outputcond,Day5_pH45_S3_callstats_cond] = callconditional (stateconfidence, uniquenames, uniqueindices, 0.5, 0.9, 0.5, 0.9, 0.1);


% Day10_pH45_S1
%boxplot(Day10_pH45_S1)
[Controlsims] = simulateequalsaturation (length(Day10_pH45_S1(Day10_pH45_S1~=0))/length(Control(Control~=0)), sum(Day10_pH45_S1), Control, 100);
[hmmmatrix,stateconfidence,trainingmatrix] = hmmtrainmwu (Day10_pH45_S1, Controlsims, finalessential, uniquenames, uniqueindices, 0.0005, 1, 6, 15, 2, 4, -2, -4);
[Day10_pH45_S1_outputcond,Day10_pH45_S1_callstats_cond] = callconditional (stateconfidence, uniquenames, uniqueindices, 0.5, 0.9, 0.5, 0.9, 0.1);

% Day10_pH45_S2
%boxplot(Day10_pH45_S2)
[Controlsims] = simulateequalsaturation (length(Day10_pH45_S2(Day10_pH45_S2~=0))/length(Control(Control~=0)), sum(Day10_pH45_S2), Control, 100);
[hmmmatrix,stateconfidence,trainingmatrix] = hmmtrainmwu (Day10_pH45_S2, Controlsims, finalessential, uniquenames, uniqueindices, 0.0005, 3, 13, 32, 2, 4, -2, -4);
[Day10_pH45_S2_outputcond,Day10_pH45_S2_callstats_cond] = callconditional (stateconfidence, uniquenames, uniqueindices, 0.5, 0.9, 0.5, 0.9, 0.1);

% Day10_pH45_S3
%boxplot(Day10_pH45_S3)
[Controlsims] = simulateequalsaturation (length(Day10_pH45_S3(Day10_pH45_S3~=0))/length(Control(Control~=0)), sum(Day10_pH45_S3), Control, 100);
[hmmmatrix,stateconfidence,trainingmatrix] = hmmtrainmwu (Day10_pH45_S3, Controlsims, finalessential, uniquenames, uniqueindices, 0.0005, 2, 12, 30, 2, 4, -2, -4);
[Day10_pH45_S3_outputcond,Day10_pH45_S3_callstats_cond] = callconditional (stateconfidence, uniquenames, uniqueindices, 0.5, 0.9, 0.5, 0.9, 0.1);



% Day1_pH7_S1
%boxplot(Day1_pH7_S1)
[Controlsims] = simulateequalsaturation (length(Day1_pH7_S1(Day1_pH7_S1~=0))/length(Control(Control~=0)), sum(Day1_pH7_S1), Control, 100);
[hmmmatrix,stateconfidence,trainingmatrix] = hmmtrainmwu (Day1_pH7_S1, Controlsims, finalessential, uniquenames, uniqueindices, 0.0005, 15, 35, 81, 2, 4, -2, -4);
[Day1_pH7_S1_outputcond,Day1_pH7_S1_callstats_cond] = callconditional (stateconfidence, uniquenames, uniqueindices, 0.5, 0.9, 0.5, 0.9, 0.1);

% Day1_pH7_S2
%boxplot(Day1_pH7_S2)
[Controlsims] = simulateequalsaturation (length(Day1_pH7_S2(Day1_pH7_S2~=0))/length(Control(Control~=0)), sum(Day1_pH7_S2), Control, 100);
[hmmmatrix,stateconfidence,trainingmatrix] = hmmtrainmwu (Day1_pH7_S2, Controlsims, finalessential, uniquenames, uniqueindices, 0.0005, 16, 36, 82, 2, 4, -2, -4);
[Day1_pH7_S2_outputcond,Day1_pH7_S2_callstats_cond] = callconditional (stateconfidence, uniquenames, uniqueindices, 0.5, 0.9, 0.5, 0.9, 0.1);

% Day1_pH7_S3
%boxplot(Day1_pH7_S3)
[Controlsims] = simulateequalsaturation (length(Day1_pH7_S3(Day1_pH7_S3~=0))/length(Control(Control~=0)), sum(Day1_pH7_S3), Control, 100);
[hmmmatrix,stateconfidence,trainingmatrix] = hmmtrainmwu (Day1_pH7_S3, Controlsims, finalessential, uniquenames, uniqueindices, 0.0005, 20, 47, 110, 2, 4, -2, -4);
[Day1_pH7_S3_outputcond,Day1_pH7_S3_callstats_cond] = callconditional (stateconfidence, uniquenames, uniqueindices, 0.5, 0.9, 0.5, 0.9, 0.1);


% Day5_pH7_S1
%boxplot(Day5_pH7_S1)
[Controlsims] = simulateequalsaturation (length(Day5_pH7_S1(Day5_pH7_S1~=0))/length(Control(Control~=0)), sum(Day5_pH7_S1), Control, 100);
[hmmmatrix,stateconfidence,trainingmatrix] = hmmtrainmwu (Day5_pH7_S1, Controlsims, finalessential, uniquenames, uniqueindices, 0.0005, 15, 40, 95, 2, 4, -2, -4);
[Day5_pH7_S1_outputcond,Day5_pH7_S1_callstats_cond] = callconditional (stateconfidence, uniquenames, uniqueindices, 0.5, 0.9, 0.5, 0.9, 0.1);

% Day5_pH7_S2
%boxplot(Day5_pH7_S2)
[Controlsims] = simulateequalsaturation (length(Day5_pH7_S2(Day5_pH7_S2~=0))/length(Control(Control~=0)), sum(Day5_pH7_S2), Control, 100);
[hmmmatrix,stateconfidence,trainingmatrix] = hmmtrainmwu (Day5_pH7_S2, Controlsims, finalessential, uniquenames, uniqueindices, 0.0005, 14, 32, 74, 2, 4, -2, -4);
[Day5_pH7_S2_outputcond,Day5_pH7_S2_callstats_cond] = callconditional (stateconfidence, uniquenames, uniqueindices, 0.5, 0.9, 0.5, 0.9, 0.1);

% Day5_pH7_S3
%boxplot(Day5_pH7_S3)
[Controlsims] = simulateequalsaturation (length(Day5_pH7_S3(Day5_pH7_S3~=0))/length(Control(Control~=0)), sum(Day5_pH7_S3), Control, 100);
[hmmmatrix,stateconfidence,trainingmatrix] = hmmtrainmwu (Day5_pH7_S3, Controlsims, finalessential, uniquenames, uniqueindices, 0.0005, 16, 37, 86, 2, 4, -2, -4);
[Day5_pH7_S3_outputcond,Day5_pH7_S3_callstats_cond] = callconditional (stateconfidence, uniquenames, uniqueindices, 0.5, 0.9, 0.5, 0.9, 0.1);


% Day10_pH7_S1
%boxplot(Day10_pH7_S1)
[Controlsims] = simulateequalsaturation (length(Day10_pH7_S1(Day10_pH7_S1~=0))/length(Control(Control~=0)), sum(Day10_pH7_S1), Control, 100);
[hmmmatrix,stateconfidence,trainingmatrix] = hmmtrainmwu (Day10_pH7_S1, Controlsims, finalessential, uniquenames, uniqueindices, 0.0005, 1, 1, 1, 2, 4, -2, -4);
[Day10_pH7_S1_outputcond,Day10_pH7_S1_callstats_cond] = callconditional (stateconfidence, uniquenames, uniqueindices, 0.5, 0.9, 0.5, 0.9, 0.1);

% Day10_pH7_S2
%boxplot(Day10_pH7_S2)
[Controlsims] = simulateequalsaturation (length(Day10_pH7_S2(Day10_pH7_S2~=0))/length(Control(Control~=0)), sum(Day10_pH7_S2), Control, 100);
[hmmmatrix,stateconfidence,trainingmatrix] = hmmtrainmwu (Day10_pH7_S2, Controlsims, finalessential, uniquenames, uniqueindices, 0.0005, 1, 1, 1, 2, 4, -2, -4);
[Day10_pH7_S2_outputcond,Day10_pH7_S2_callstats_cond] = callconditional (stateconfidence, uniquenames, uniqueindices, 0.5, 0.9, 0.5, 0.9, 0.1);

% Day10_pH7_S3
%boxplot(Day10_pH7_S3)
[Controlsims] = simulateequalsaturation (length(Day10_pH7_S3(Day10_pH7_S3~=0))/length(Control(Control~=0)), sum(Day10_pH7_S3), Control, 100);
[hmmmatrix,stateconfidence,trainingmatrix] = hmmtrainmwu (Day10_pH7_S3, Controlsims, finalessential, uniquenames, uniqueindices, 0.0005, 1, 2, 5, 2, 4, -2, -4);
[Day10_pH7_S3_outputcond,Day10_pH7_S3_callstats_cond] = callconditional (stateconfidence, uniquenames, uniqueindices, 0.5, 0.9, 0.5, 0.9, 0.1);


% Individual data
csvwrite("Day1_pH45_S1.csv",Day1_pH45_S1_outputcond);
csvwrite("Day1_pH45_S2.csv",Day1_pH45_S2_outputcond);
csvwrite("Day1_pH45_S3.csv",Day1_pH45_S3_outputcond);

csvwrite("Day5_pH45_S1.csv",Day5_pH45_S1_outputcond);
csvwrite("Day5_pH45_S2.csv",Day5_pH45_S2_outputcond);
csvwrite("Day5_pH45_S3.csv",Day5_pH45_S3_outputcond);

csvwrite("Day10_pH45_S1.csv",Day10_pH45_S1_outputcond);
csvwrite("Day10_pH45_S2.csv",Day10_pH45_S2_outputcond);
csvwrite("Day10_pH45_S3.csv",Day10_pH45_S3_outputcond);

%pH7

csvwrite("Day1_pH7_S1.csv",Day1_pH7_S1_outputcond);
csvwrite("Day1_pH7_S2.csv",Day1_pH7_S2_outputcond);
csvwrite("Day1_pH7_S3.csv",Day1_pH7_S3_outputcond);

csvwrite("Day5_pH7_S1.csv",Day5_pH7_S1_outputcond);
csvwrite("Day5_pH7_S2.csv",Day5_pH7_S2_outputcond);
csvwrite("Day5_pH7_S3.csv",Day5_pH7_S3_outputcond);

csvwrite("Day10_pH7_S1.csv",Day10_pH7_S1_outputcond);
csvwrite("Day10_pH7_S2.csv",Day10_pH7_S2_outputcond);
csvwrite("Day10_pH7_S3.csv",Day10_pH7_S3_outputcond);



%call conditions 
% Individual data
csvwrite("Day1_pH45_S1_callcond.csv",Day1_pH45_S1_callstats_cond);
csvwrite("Day1_pH45_S2_callcond.csv",Day1_pH45_S2_callstats_cond);
csvwrite("Day1_pH45_S3_callcond.csv",Day1_pH45_S3_callstats_cond);

csvwrite("Day5_pH45_S1_callcond.csv",Day5_pH45_S1_callstats_cond);
csvwrite("Day5_pH45_S2_callcond.csv",Day5_pH45_S2_callstats_cond);
csvwrite("Day5_pH45_S3_callcond.csv",Day5_pH45_S3_callstats_cond);

csvwrite("Day10_pH45_S1_callcond.csv",Day10_pH45_S1_callstats_cond);
csvwrite("Day10_pH45_S2_callcond.csv",Day10_pH45_S2_callstats_cond);
csvwrite("Day10_pH45_S3_callcond.csv",Day10_pH45_S3_callstats_cond);

%pH7

csvwrite("Day1_pH7_S1_callcond.csv",Day1_pH7_S1_callstats_cond);
csvwrite("Day1_pH7_S2_callcond.csv",Day1_pH7_S2_callstats_cond);
csvwrite("Day1_pH7_S3_callcond.csv",Day1_pH7_S3_callstats_cond);

csvwrite("Day5_pH7_S1_callcond.csv",Day5_pH7_S1_callstats_cond);
csvwrite("Day5_pH7_S2_callcond.csv",Day5_pH7_S2_callstats_cond);
csvwrite("Day5_pH7_S3_callcond.csv",Day5_pH7_S3_callstats_cond);

csvwrite("Day10_pH7_S1_callcond.csv",Day10_pH7_S1_callstats_cond);
csvwrite("Day10_pH7_S2_callcond.csv",Day10_pH7_S2_callstats_cond);
csvwrite("Day10_pH7_S3_callcond.csv",Day10_pH7_S3_callstats_cond);