function [output] = Bottleneck_analysis(inputreads,bottle,depth,tauniquenames,tauniqueindices,alpha,prop_over_alpha)
%Simulate sample bottlenecks
%1. Generate 10 simulations at genetic bottlenecks
%Change bottleneck by changing ta number(i.e. changing
inputreadssum=sum(inputreads);
inputproportion=inputreads./inputreadssum;
inputproportiontanorm=inputproportion.*bottle;
inputproportiontanorm(length(inputproportiontanorm)+1,1)=1-bottle;
multinominputsample=mnrnd(depth,inputproportiontanorm,10);
multinominputsample=multinominputsample';
%2. Normalize each simulation at each of the 5 levels using MS and multinomial
%simulations
[sims_control]=simulateequalsaturation(bottle,depth,inputreads,100);
for i=1:10
    [MWUboots] = runmwuallboots(sims_control,multinominputsample(:,i),tauniquenames,tauniqueindices);
    [m,n]=size(MWUboots);
    pval_vector=[];
    for j=1:m;
        x=MWUboots(j,:);
        p=length(find(x<alpha))/n;
        pval_vector(j,1)=p;
    end
    y=find(pval_vector > prop_over_alpha);
    ms_simex=multinominputsample(:,i)*(inputreadssum./(sum(multinominputsample(:,i))));
   [MWUpvalvector] = MWUbytransposon(ms_simex,inputreads,tauniquenames,tauniqueindices);
   z=find(MWUpvalvector < alpha);
   output(i,1)=length(y);
   output(i,2)=length(z);
end


end

