% Mats script to run all analysis

% Firstly running the combined analysis of MG1655 library aka our control.

[Chr1_names, Chr1_starts, Chr1_ends] = genome_parser (MG1655, 'NC_000913.3', 4641652);

% Splitting our intial control up. For this purpose I am going to use
% MG1655 combined data which will be the most Genome sequening
% We will be processing 100000 reads at the same time. 
[Tn5_NT, All_Tn5_sum, Tn5_annotations, F_Tn5_sum, R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'MG1655_combined.sam', 100000, 50,'NC_000913.3' , 4641652);
% Introduces errors but this is due to bwa alignment not Bowtie. This is
% fine runs perfectly. 

% Now we have to assing each variable to another imput. for this I am going
% to do a table of what chart belongs to what

%ITL_Combined - ITL_C

% For now we are going to do sequencing depth analysis on this to have a
% look 

% So now using the imput of the library we are just going to do the default
% analysis which will be

Fread_sum=sum(F_Tn5_sum);

Rread_sum=sum(R_Tn5_sum);

Total_reads_sum=sum(All_Tn5_sum);

ITL_C=All_Tn5_sum


%Looking at saturation  
% so to start with lets ascertain whether or not we have sequencing
% saturation this script will do this 

[sensitivityanalysis]=checkseqdepth(ITL_C)


% Bottle neck effects. 
% But before we perform this we have to map unique insertion sites to
% unique gene identifiers. 
TAid=Tn5_annotations;
[uniquenames,uniqueindices]=getuniquetanames(TAid);
% So we observe these effects through this looking at 90% 50% 10% we will do a
% pval of 0.001 (let the examples and defaults treat us. 

[bottleneck_90]=Bottleneck_analysis(ITL_C, 0.9,4199796, uniquenames, uniqueindices, 0.001, 0.9);
[bottleneck_50]=Bottleneck_analysis(ITL_C, 0.5,4199796, uniquenames, uniqueindices, 0.001, 0.9); 
[bottleneck_10]=Bottleneck_analysis(ITL_C, 0.1,4199796, uniquenames, uniqueindices, 0.001, 0.9); 

% EL-ARTIST

% Firstly check the scatter of the graphs this will generate two graphs one
% not normalised and one normalised. This is to chekc for linarlity you
% will see the removal of the data from this% we only need ITL_C for this
% analysis

scatter(Tn5_NT,ITL_C);
scatter(normalized_reads)

% So now to normalize the reads. 
[normalized_reads] = window_average(Tn5_NT, ITL_C, 100000, 4641652);
scatter(Tn5_NT,normalized_reads)
% So now to perform the sliding window, This will look for sites where 7
% essential windows are then classed as essential it might mean we need
% smaller windows here. It does this with a pvalue of 0.03.  

[essentialregions,essentiallist,bootstats,essentialpvals] = Slidingwindow (ITL_C, 1000, 7, uniquenames, uniqueindices, 0.03);

% Traing the hidden Markov model, first identifying essential regions by
% adding a +1
essentialregions=essentialregions+1;

% Now making a box plot to determine the amount of reads to include in the
% results. 
boxplot(ITL_C) 

% So based on this boxplot the following values can be obtained to isolate
% the data 
%0  lowest amount of reads
%60 median indicated by the red line
%7  75th percentail
%17  outlier boundry 


[discta] = discretize5(ITL_C,0,60,111,255);

% Finially training the hidden markov model 
[transessential, emissessential] = hmmestimate (discta, essentialregions);
[convergencematrixessentiality] = hmmconverge (discta, transessential, emissessential);
finalessential=convergencematrixessentiality(:,2); 
[essential_calls, callstats] = output_essential (finalessential, uniquenames, uniqueindices);


% Con artist. 

% So first thing that needs to be included in this analysis is to read all
% our data into here. For the purpose of today I am just going to do a
% comparision between each sample and the condition. This analysis requires
% as many as possible reads for the control so the ITL_C will be needed.

% So lets read all the data in which is necessary. 
% SO now lets read all the sam files in. These have been placed in the
% artist folder

[Day1_pH7_S1_Tn5_NT, Day1_pH7_S1_All_Tn5_sum, Day1_pH7_S1_Tn5_annotations, Day1_pH7_S1_F_Tn5_sum, Day1_pH7_S1_R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day1_pH7_S1.sam', 100000, 100,'NC_000913.3' , 4641652);
[Day1_pH7_S2_Tn5_NT, Day1_pH7_S2_All_Tn5_sum, Day1_pH7_S2_Tn5_annotations, Day1_pH7_S2_F_Tn5_sum, Day1_pH7_S2_R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day1_pH7_S2.sam', 100000, 100,'NC_000913.3' , 4641652);
[Day1_pH7_S3_Tn5_NT, Day1_pH7_S3_All_Tn5_sum, Day1_pH7_S3_Tn5_annotations, Day1_pH7_S3_F_Tn5_sum, Day1_pH7_S3_R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day1_pH7_S3.sam', 100000, 100,'NC_000913.3' , 4641652);

[Day5_pH7_S1_Tn5_NT, Day5_pH7_S1_All_Tn5_sum, Day5_pH7_S1_Tn5_annotations, Day5_pH7_S1_F_Tn5_sum, Day5_pH7_S1_R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day5_pH7_S1.sam', 100000, 100,'NC_000913.3' , 4641652);
[Day5_pH7_S2_Tn5_NT, Day5_pH7_S2_All_Tn5_sum, Day5_pH7_S2_Tn5_annotations, Day5_pH7_S2_F_Tn5_sum, Day5_pH7_S2_R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day5_pH7_S2.sam', 100000, 100,'NC_000913.3' , 4641652);
[Day5_pH7_S3_Tn5_NT, Day5_pH7_S3_All_Tn5_sum, Day5_pH7_S3_Tn5_annotations, Day5_pH7_S3_F_Tn5_sum, Day5_pH7_S3_R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day5_pH7_S3.sam', 100000, 100,'NC_000913.3' , 4641652);

[Day10_pH7_S1_Tn5_NT, Day10_pH7_S1_All_Tn5_sum, Day10_pH7_S1_Tn5_annotations, Day10_pH7_S1_F_Tn5_sum, Day10_pH7_S1_R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day10_pH7_S1.sam', 100000, 100,'NC_000913.3' , 4641652);
[Day10_pH7_S2_Tn5_NT, Day10_pH7_S2_All_Tn5_sum, Day10_pH7_S2_Tn5_annotations, Day10_pH7_S2_F_Tn5_sum, Day10_pH7_S2_R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day10_pH7_S2.sam', 100000, 100,'NC_000913.3' , 4641652);
[Day10_pH7_S3_Tn5_NT, Day10_pH7_S3_All_Tn5_sum, Day10_pH7_S3_Tn5_annotations, Day10_pH7_S3_F_Tn5_sum, Day10_pH7_S3_R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day10_pH7_S3.sam', 100000, 100,'NC_000913.3' , 4641652);

[Day1_pH4_5_S1_Tn5_NT, Day1_pH4_5_S1_All_Tn5_sum, Day1_pH4_5_S1_Tn5_annotations, Day1_pH4_5_S1_F_Tn5_sum, Day1_pH4_5_S1_R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day1_pH4.5_S1.sam', 100000, 100,'NC_000913.3' , 4641652);
[Day1_pH4_5_S2_Tn5_NT, Day1_pH4_5_S2_All_Tn5_sum, Day1_pH4_5_S2_Tn5_annotations, Day1_pH4_5_S2_F_Tn5_sum, Day1_pH4_5_S2_R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day1_pH4.5_S2.sam', 100000, 100,'NC_000913.3' , 4641652);
[Day1_pH4_5_S3_Tn5_NT, Day1_pH4_5_S3_All_Tn5_sum, Day1_pH4_5_S3_Tn5_annotations, Day1_pH4_5_S3_F_Tn5_sum, Day1_pH4_5_S3_R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day1_pH4.5_S3.sam', 100000, 100,'NC_000913.3' , 4641652);

[Day5_pH4_5_S1_Tn5_NT, Day5_pH4_5_S1_All_Tn5_sum, Day5_pH4_5_S1_Tn5_annotations, Day5_pH4_5_S1_F_Tn5_sum, Day5_pH4_5_S1_R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day5_pH4.5_S1.sam', 100000, 100,'NC_000913.3' , 4641652);
[Day5_pH4_5_S2_Tn5_NT, Day5_pH4_5_S2_All_Tn5_sum, Day5_pH4_5_S2_Tn5_annotations, Day5_pH4_5_S2_F_Tn5_sum, Day5_pH4_5_S2_R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day5_pH4.5_S2.sam', 100000, 100,'NC_000913.3' , 4641652);
[Day5_pH4_5_S3_Tn5_NT, Day5_pH4_5_S3_All_Tn5_sum, Day5_pH4_5_S3_Tn5_annotations, Day5_pH4_5_S3_F_Tn5_sum, Day5_pH4_5_S3_R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day5_pH4.5_S3.sam', 100000, 100,'NC_000913.3' , 4641652);

[Day10_pH4_5_S1_Tn5_NT, Day10_pH4_5_S1_All_Tn5_sum, Day10_pH4_5_S1_Tn5_annotations, Day10_pH4_5_S1_F_Tn5_sum, Day10_pH4_5_S1_R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day10_pH4.5_S1.sam', 100000, 100,'NC_000913.3' , 4641652);
[Day10_pH4_5_S2_Tn5_NT, Day10_pH4_5_S2_All_Tn5_sum, Day10_pH4_5_S2_Tn5_annotations, Day10_pH4_5_S2_F_Tn5_sum, Day10_pH4_5_S2_R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day10_pH4.5_S2.sam', 100000, 100,'NC_000913.3' , 4641652);
[Day10_pH4_5_S3_Tn5_NT, Day10_pH4_5_S3_All_Tn5_sum, Day10_pH4_5_S3_Tn5_annotations, Day10_pH4_5_S3_F_Tn5_sum, Day10_pH4_5_S3_R_Tn5_sum] = SAMreader_Tn5 (Chr1_ends, Chr1_starts, Chr1_names, 'Day10_pH4.5_S3.sam', 100000, 100,'NC_000913.3' , 4641652);

% Now that we have loaded all our data into here we then need to assign it
% to different experiments due to this I am going to call them exp 1, exp2
% exp3 so on and so forth. 
%exp1-3 Day 1 pH7 samples 1-3
exp1=Day1_pH7_S1_All_Tn5_sum
exp2=Day1_pH7_S2_All_Tn5_sum
exp3=Day1_pH7_S3_All_Tn5_sum

%exp4-6 Day 5 pH7 samples 1-3
exp4=Day5_pH7_S1_All_Tn5_sum
exp5=Day5_pH7_S2_All_Tn5_sum
exp6=Day5_pH7_S3_All_Tn5_sum

%exp7-9 Day 10 pH7 samples 1-3
exp7=Day10_pH7_S1_All_Tn5_sum
exp8=Day10_pH7_S2_All_Tn5_sum
exp9=Day10_pH7_S3_All_Tn5_sum

%exp1-3 Day 1 pH4_5 samples 1-3
exp10=Day1_pH4_5_S1_All_Tn5_sum
exp11=Day1_pH4_5_S2_All_Tn5_sum
exp12=Day1_pH4_5_S3_All_Tn5_sum

%exp4-6 Day 5 pH4_5 samples 1-3
exp13=Day5_pH4_5_S1_All_Tn5_sum
exp14=Day5_pH4_5_S2_All_Tn5_sum
exp15=Day5_pH4_5_S3_All_Tn5_sum

%exp7-9 Day 10 pH4_5 samples 1-3
exp16=Day10_pH4_5_S1_All_Tn5_sum
exp17=Day10_pH4_5_S2_All_Tn5_sum
exp18=Day10_pH4_5_S3_All_Tn5_sum



% So going from this it should be a matter of changing each experiment to
% the correct value and then the analysis should run. 

% Firstly we need to simulate a control library based on the amount of read
% saturation we previously have. 

Control=ITL_C
Experiment=exp18

% This will simulate a control library based on the reads of the experiment
% The amount of simulation run will be 100 to prevent over use of data.
[Controlsims] = simulateequalsaturation (length(Experiment(Experiment~=0))/length(Control(Control~=0)), sum(Experiment), Control, 100);
boxplot(Experiment)
% In order to train the hidden markov model we need to get the realitve
% groups. boxplot(Experiment). Low sequencing depth or complexity might
% leave with a median of 0 so use 1 indead. 
% [hmmmatrix,stateconfidence,trainingmatrix] = hmmtrainmwu (Experiment,
% Controlsims, finalessential, uniquenames, uniqueindices, 0.01, 29, 64,
% 146, 1, 3, -1, -3); Day1_pH7_S1
[hmmmatrix,stateconfidence,trainingmatrix] = hmmtrainmwu (Experiment, Controlsims, finalessential, uniquenames, uniqueindices, 0.01, 1, 5, 12, 1, 3, -1, -3);


% adding genome annotation to each of the data points for us to go off 
[outputcond,callstats_cond] = callconditional (stateconfidence, uniquenames, uniqueindices, 0.5, 0.9, 0.5, 0.9, 0);

% This bit of script will combine them all togther. 
csvwrite('Day1_pH7_S1_ITL_output',outputcond);




