
############################################################################################
############################# EdgeR analysis ###############################################
## 04/20 Shortened version for fatima, get her to test it. Issue may be in assigning groups this I 
## Might need to go over with her. Let her see first 
######## Installing edgeR 

if (!requireNamespace("BiocManager", quietly = TRUE))
install.packages("BiocManager")

BiocManager::install("edgeR")

####################################################################################

###### EdgeR for fatima ###########

#### Right so to begin, you need read count data for all your individual replicates, 
#### The first column needs to be gene names and then the count data needs to be in each column, with the first entry being
#### The name of the sample and then the replicate number so Day5_pH4.5_S1 and Day5_pH4.5_S2. ect. 
#### Once this is done then you can navigate to the folder and read in the file into R using the function below and begin.
#### Cound data can be found in the final_insertion_count.txt files in the output of the traDIS scripts. 


library("edgeR")

file <- "STEE_counts.csv"
COUNTS <- read.csv(file , stringsAsFactors = FALSE, header = TRUE)

### IN addition you need a csv file which contains a single entry for the amount of reads in each analysis
### To each sample . THe sample neames have to be in the exact same format as the above file and in the corrisponding row 
### There needs to be the read counts, you can find this from the script. Should have noted it down. 

file2 <- "STEE_total_counts.csv"

## This file needs to include the name of the sample in one column and the corrisponding 
## total read counts for the sample in the other column 
Reads_re_invented <- read.csv(file2, stringsAsFactors = FALSE )


############################################################################################
############################# PERFORMING EDGER #############################################
############################################################################################

#### So in order to run this we need to prepare the following tables 
## Condition Comaprisions 
## So this script will only run one comaprision, you will need to repeat for the different comparisions
## the exact format of the condition has to match if it doesn't there will be errors, Script works by having 
## The comapre to file in the first position then the second possition. 

## So in the example below, it will be like Day1_pH4.5/ ITL 
## Change this 
CC1 <- c("ITL","Day1_pH4.5")


#### So this will turn all our data into a DEGLIST with our gene lists
y<- DGEList(COUNTS[,2:ncol(COUNTS)],genes=COUNTS[,1])

y$samples$lib.size <- Reads_re_invented[,2]
y$samples$sample <- Reads_re_invented[,1]


### So then you need to assign values to each of it based on your conditions So this is assinging variables to each of your data
condition_text <- c("ITL","Day1_pH4.5","Day5_pH4.5","Day10_pH4.5","Day1_pH7","Day5_pH7","Day10_pH7")
## Change this above, to your conditions make sure the match the sample name. 
group <-as.matrix(y$samples$group)

group <-as.matrix(y$samples$group) 
for(i in 1:length(condition_text)){
  y$samples
  group[grep(condition_text[i],y$samples$sample)] <- condition_text[i]
}

for(i in 1:length(condition_text)){
  y$samples
  group[grep(condition_text[i],y$samples$sample)] <- condition_text[i]
}
y$samples$group <- as.factor(group)


############################################################################################
############################# Filtering Genes ##############################################
############################################################################################

# N/A due to prefiltering checks before hand



############################################################################################
############## Moodeling the data to a negative bionomial model ############################
############################################################################################


## So in order to do this we need to calculate the dispersion
# We are going to do tagwise dispersion as this calcualtes dispersion ona gene level 
# While common will work i think tagwise might be better
y <- estimateCommonDisp(y)
y <- estimateTagwiseDisp (y) # Esitmate tag wise dispersion (See above)

Normalisedy <- estimateCommonDisp(y)
Normalisedy <- estimateTagwiseDisp(y)


############################################################################################
############## Differential expression calcualtion              ############################
############################################################################################


##Comparision 

edgeR_function <- function(CC1,y,COUNTS){ 
  Comparision <- exactTest(y,pair= CC1) 

  #ddoferent normalised data 

  ComparisionL_norm_data <- exactTest(Normalisedy,pair= CC1) 

  ## Change the file name 
  outputfile <- paste(CC1[2], CC1[1], sep = "_")
  output <- topTags(Comparision,n=nrow(COUNTS),adjust.method = "BH")
  write.csv(output$table,file= paste(outputfile,".csv",sep=""))

  output <- topTags(ComparisionL_norm_data ,n=nrow(COUNTS),adjust.method = "BH")
  write.csv(output$table,file= paste(outputfile,"_normdata.csv",sep=""))
  
  finish <- output$table
  finish[nrow(output)+1,] <- outputfile
  
  return(finish)

}

CC1 <- c("ITL","Day1_pH4.5")
CC2 <- c("ITL","Day5_pH4.5")
CC3 <- c("ITL","Day10_pH4.5")
CC4 <- c("ITL","Day1_pH7")
CC5 <- c("ITL","Day5_pH7")
CC6 <- c("ITL","Day10_pH7")
CC7 <- c("Day1_pH7","Day1_pH4.5")
CC8 <- c("Day5_pH7","Day5_pH4.5")
CC9 <- c("Day10_pH7","Day10_pH4.5")



CC1output <- edgeR_function(CC1,y,COUNTS)
CC2output <- edgeR_function(CC2,y,COUNTS)
CC3output <- edgeR_function(CC3,y,COUNTS)
CC4output <- edgeR_function(CC4,y,COUNTS)
CC5output <- edgeR_function(CC5,y,COUNTS)
CC6output <- edgeR_function(CC6,y,COUNTS)
CC7output <- edgeR_function(CC7,y,COUNTS)
CC8output <- edgeR_function(CC8,y,COUNTS)
CC9output <- edgeR_function(CC9,y,COUNTS)



Overalloutput <- cbind(CC1output,CC2output,CC3output,CC4output,CC5output,CC6output,CC7output,CC8output,CC9output)


write.csv(CC3output,file="Overallcombined.csv")
